﻿/* Preview Card. Prefixed with card- */

.card-container {
    min-height: 6em;
    height: 100%;
}

/* Stylistic choice */
/*.berater-list p {
    margin-bottom: 0;
}*/

.card-summary {
    /*overflow: hidden;*/
}

.card-picture {
    max-height: 10em;
}

    .card-picture img {
        width: auto;
        height: auto;
        max-width: 100%;
        max-height: 100%;
    }

/* Details card. Prefixed with dcard- */

.dcard-grid {
    display: grid;
    grid-gap: 1em;
    grid-template-columns: min-content 1fr;
    grid-template-rows: min-content min-content;
    grid-template-areas:
        "picture summary"
        "detail detail"
}

.dcard-picture img {
    max-width: 20em;
    max-height: 15em;
}

/* Editor */

.absolute-fill {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.overlay-buttons {
    position: absolute;
    top: 0;
    right: 0;
}

.e-popup.e-dialog {
    width: unset;
}

.e-panel-header {
    padding: 0 !important;
    height: 2.5rem !important;
}

.toolbar > .btn {
    background-color: transparent;
    border-right: 1px solid var(--light);
}

    .toolbar > .btn:last-child {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    .toolbar > .btn:hover {
        background-color: var(--light) !important;
    }

.dcard-grid.editor {
    grid-template-columns: 1fr 1fr;
}

/* Drag and Drop File input field */

.upload-label {
    text-transform: uppercase;
}

.upload-container {
    border: 4px dashed var(--primary);
    border-radius: 10px;
    position: relative;
    height: 6em;
}

.upload-input {
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    outline: none;
    opacity: 0;
    cursor: pointer;
}

.upload-text {
    background-color: #c1dfff;
    text-align: center;
    padding: 1em;
}

.preview-image {
    max-height: 15em;
    object-fit: contain;
}

.preview-remove-button {
    text-transform: uppercase;
}



ul li {
    list-style: none;
    list-style-image: url(/_images/quadrat.gif);
    padding-left: 0px;
}

    ul li::marker {
        list-style: none;
        list-style-image: url(/_images/quadrat.gif);
        padding-left: 0px;
    }
